/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.build.gradle.integration.common.fixture.app

/**
 * An empty app.
 */
class EmptyAndroidTestApp extends AbstractAndroidTestApp implements AndroidTestApp {

    public EmptyAndroidTestApp() {

    }

    public EmptyAndroidTestApp(String packageName) {
        TestSourceFile manifest =
                new TestSourceFile("src/main", "AndroidManifest.xml",
                        """<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
      package="$packageName"
      android:versionCode="1"
      android:versionName="1.0">

    <application/>
</manifest>
""");

        addFiles(manifest);
    }
}
